Untagged
Other Operations
get-impact-estimate
Return an estimate of the impact of a given usage
POST /environmental-impact/estimateRequest body
Content-Type: application/json
| Property | Type | Required | Description |
|---|---|---|---|
sku | string | yes | |
metadata | object | no |
Example
{
"metadata": {},
"sku": "string"
}Responses
200: Impact estimate
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
impact | object |
Example output
{
"impact": {}
}400: Invalid request (e.g. product does not exist)
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
detail | string | |
status | integer | Min: 100. Max: 599. |
title | string |
Example output
{
"detail": "string",
"status": 0,
"title": "string"
}500: Internal server error
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
detail | string | |
status | integer | Min: 100. Max: 599. |
title | string |
Example output
{
"detail": "string",
"status": 0,
"title": "string"
}SDK reference for get-impact-estimate: golang | Python | Java
CLI: exo api get-impact-estimate
get-impact-report
Return an environmental impact report for the given period
GET /environmental-impact/reportQuery parameters
| Name | In | Required | Description |
|---|---|---|---|
from | query | no | |
to | query | no |
Responses
200: Environmental impact report
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
impact | object | |
zones | object |
Example output
{
"impact": {},
"zones": {}
}400: Invalid request (e.g. to date before from date)
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
detail | string | |
status | integer | Min: 100. Max: 599. |
title | string |
Example output
{
"detail": "string",
"status": 0,
"title": "string"
}500: Internal server error
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
detail | string | |
status | integer | Min: 100. Max: 599. |
title | string |
Example output
{
"detail": "string",
"status": 0,
"title": "string"
}SDK reference for get-impact-report: golang | Python | Java
CLI: exo api get-impact-report
Last updated on